# noipv6: IPv6 deaktiveren
class ubuntu_server::noipv6{

    File{
        owner => root,
        group => root,
        mode => 0644,
    }

    file{'/etc/sysctl.d/31-ipv6-disable.conf':
        ensure  => present,
        content => "net.ipv6.conf.all.disable_ipv6 = 1\n"
    } ~> Exec['ipv6_disable']

    exec{'ipv6_disable':
        path        => $::path,
        command     => 'cat /etc/sysctl.d/31-ipv6-disable.conf /etc/sysctl.conf | sysctl -e -p - ',
        refreshonly => true,
    }
}
