# define ring parameter type for interfaces
define ubuntu_server::ring_parameters($if=$title) {
    exec{$if:
        path    => $::path,
        command => "ethtool -G ${if} rx 1024 tx 1024",
        onlyif  => "bash -c 'if [ $(ethtool -g ${if} 2>/dev/null | grep -c 1024) -ne 2 ] && ethtool -g ${if} 2>/dev/null ; then true; else false; fi'",
    }
}
