# Additional tools around Docker
class ubuntu_server::docker_extras {
    File{
        owner => 'root',
        group => 'root',
        mode => 0644,
    }

    file{'/etc/cron.daily/docker-remove-dangling-images':
        ensure => present,
        source => 'puppet:///modules/ubuntu_server/etc/cron.daily/docker-remove-dangling-images',
        mode   => '0755',
    }

    file{'/etc/init/docker-update.conf':
        ensure => absent,
    }

    file{'/etc/init.d/docker-update':
        ensure => absent,
    }

}
