# motd aufräumen
class ubuntu_server::motd{
    file{['/etc/update-motd.d/10-help-text','/etc/update-motd.d/90-updates-available','/etc/update-motd.d/91-release-upgrade']:
        ensure => absent,
    }

    file{'/etc/update-motd.d/90-puppet-info':
        ensure => present,
        source => 'puppet:///modules/ubuntu_server/etc/update-motd.d/90-puppet-info',
        mode   => '0755',
        owner  => root,
        group  => root,
    }
}
