require 'spec_helper'

describe "ubuntu_server::ethtool_setup" do

  let(:facts) {{
    :path => '/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin',
    :interfaces => 'eth0,lo,br0',
  }}

  it { is_expected.to compile.with_all_deps }
  it { is_expected.to contain_ubuntu_server__ring_parameters('eth0') }
  it { is_expected.to contain_ubuntu_server__ring_parameters('br0') }
  it { is_expected.to contain_ubuntu_server__ring_parameters('lo') }

end
