require 'spec_helper'

describe "ubuntu_server::motd" do
  it { is_expected.to compile }
  it { is_expected.to contain_file('/etc/update-motd.d/90-puppet-info').with('ensure'=>'present') }
  $absent_files = ['/etc/update-motd.d/10-help-text','/etc/update-motd.d/90-updates-available','/etc/update-motd.d/91-release-upgrade']
  for $file in $absent_files
    it { is_expected.to contain_file($file).with('ensure'=>'absent') }
  end
end